Virtual Networks - Check IP Address Availability

Checks whether a private IP address is available for use.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/checkIPAddressAvailability?api-version=2025-09-01&ipAddress={ipAddress}

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

virtualNetworkName
path True

string

The name of the virtual network.

api-version
query True

string

minLength: 1

The API version to use for this operation.

ipAddress
query True

string

The private IP address to be verified.

Responses

Name Type Description
200 OK

IPAddressAvailabilityResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Check IP address availability

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/test-vnet/checkIPAddressAvailability?api-version=2025-09-01&ipAddress=10.0.1.4

Sample response

{
  "available": false,
  "availableIPAddresses": [
    "10.0.1.5",
    "10.0.1.6",
    "10.0.1.7",
    "10.0.1.8",
    "10.0.1.9"
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

IPAddressAvailabilityResult

Response for CheckIPAddressAvailability API service call.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

IPAddressAvailabilityResult

Response for CheckIPAddressAvailability API service call.

Name Type Description
available

boolean

Private IP address availability.

availableIPAddresses

string[]

Contains other available private IP addresses if the asked for address is taken.

isPlatformReserved

boolean

Private IP address platform reserved.